package sun.awt;

import sun.awt.datatransfer.DataTransferer;
import java.awt.AWTException;
import java.awt.peer.RobotPeer;
import java.awt.GraphicsDevice;
import java.awt.Robot;
import java.awt.peer.FontPeer;
import java.awt.dnd.InvalidDnDOperationException;
import java.awt.dnd.peer.DragSourceContextPeer;
import java.awt.dnd.DragGestureEvent;
import java.awt.peer.CheckboxMenuItemPeer;
import java.awt.CheckboxMenuItem;
import java.awt.peer.MenuItemPeer;
import java.awt.MenuItem;
import java.awt.peer.PopupMenuPeer;
import java.awt.PopupMenu;
import java.awt.peer.MenuPeer;
import java.awt.Menu;
import java.awt.peer.MenuBarPeer;
import java.awt.MenuBar;
import java.awt.peer.FileDialogPeer;
import java.awt.FileDialog;
import java.awt.peer.TextAreaPeer;
import java.awt.TextArea;
import java.awt.peer.ScrollPanePeer;
import java.awt.ScrollPane;
import java.awt.peer.ScrollbarPeer;
import java.awt.Scrollbar;
import java.awt.peer.CheckboxPeer;
import java.awt.Checkbox;
import java.awt.peer.ListPeer;
import java.awt.List;
import java.awt.peer.LabelPeer;
import java.awt.Label;
import java.awt.peer.ChoicePeer;
import java.awt.Choice;
import java.awt.peer.TextFieldPeer;
import java.awt.TextField;
import java.awt.peer.ButtonPeer;
import java.awt.Button;
import java.awt.peer.DialogPeer;
import java.awt.Dialog;
import java.awt.peer.FramePeer;
import java.awt.Frame;
import java.awt.peer.WindowPeer;
import java.awt.Window;
import java.awt.peer.PanelPeer;
import java.awt.Panel;
import java.awt.HeadlessException;
import java.awt.peer.CanvasPeer;
import java.awt.Canvas;

public interface ComponentFactory
{
    public abstract CanvasPeer createCanvas(Canvas p0) throws HeadlessException;
    
    public abstract PanelPeer createPanel(Panel p0) throws HeadlessException;
    
    public abstract WindowPeer createWindow(Window p0) throws HeadlessException;
    
    public abstract FramePeer createFrame(Frame p0) throws HeadlessException;
    
    public abstract DialogPeer createDialog(Dialog p0) throws HeadlessException;
    
    public abstract ButtonPeer createButton(Button p0) throws HeadlessException;
    
    public abstract TextFieldPeer createTextField(TextField p0) throws HeadlessException;
    
    public abstract ChoicePeer createChoice(Choice p0) throws HeadlessException;
    
    public abstract LabelPeer createLabel(Label p0) throws HeadlessException;
    
    public abstract ListPeer createList(List p0) throws HeadlessException;
    
    public abstract CheckboxPeer createCheckbox(Checkbox p0) throws HeadlessException;
    
    public abstract ScrollbarPeer createScrollbar(Scrollbar p0) throws HeadlessException;
    
    public abstract ScrollPanePeer createScrollPane(ScrollPane p0) throws HeadlessException;
    
    public abstract TextAreaPeer createTextArea(TextArea p0) throws HeadlessException;
    
    public abstract FileDialogPeer createFileDialog(FileDialog p0) throws HeadlessException;
    
    public abstract MenuBarPeer createMenuBar(MenuBar p0) throws HeadlessException;
    
    public abstract MenuPeer createMenu(Menu p0) throws HeadlessException;
    
    public abstract PopupMenuPeer createPopupMenu(PopupMenu p0) throws HeadlessException;
    
    public abstract MenuItemPeer createMenuItem(MenuItem p0) throws HeadlessException;
    
    public abstract CheckboxMenuItemPeer createCheckboxMenuItem(CheckboxMenuItem p0) throws HeadlessException;
    
    public abstract DragSourceContextPeer createDragSourceContextPeer(DragGestureEvent p0) throws InvalidDnDOperationException, HeadlessException;
    
    public abstract FontPeer getFontPeer(String p0, int p1);
    
    public abstract RobotPeer createRobot(Robot p0, GraphicsDevice p1) throws AWTException, HeadlessException;
    
    public abstract DataTransferer getDataTransferer();
}
